## r-cran-ff 4.0.4%2Bds

=== DESCRIPTION ===
Package: ff
Version: 4.0.4
Date: 2020-10-13
Title: Memory-Efficient Storage of Large Data on Disk and Fast Access
        Functions
Author: Daniel Adler [aut],
	Christian Gläser [aut],
	Oleg Nenadic  [aut], 
	Jens Oehlschlägel [aut, cre],
	Martijn Schuemie [aut],
	Walter Zucchini  [aut]
Maintainer: Jens Oehlschlägel <Jens.Oehlschlaegel@truecluster.com>
Depends: R (>= 2.10.1), bit (>= 4.0.0), utils
Suggests: biglm, testthat (>= 0.11.0)
Description: The ff package provides data structures that are stored on
	disk but behave (almost) as if they were in RAM by transparently 
	mapping only a section (pagesize) in main memory - the effective 
	virtual memory consumption per ff object. ff supports R's standard 
	atomic data types 'double', 'logical', 'raw' and 'integer' and 
	non-standard atomic types boolean (1 bit), quad (2 bit unsigned), 
	nibble (4 bit unsigned), byte (1 byte signed with NAs), ubyte (1 byte 
	unsigned), short (2 byte signed with NAs), ushort (2 byte unsigned), 
	single (4 byte float with NAs). For example 'quad' allows efficient 
	storage of genomic data as an 'A','T','G','C' factor. The unsigned 
	types support 'circular' arithmetic. There is also support for 
	close-to-atomic types 'factor', 'ordered', 'POSIXct', 'Date' and 
	custom close-to-atomic types. 
	ff not only has native C-support for vectors, matrices and arrays 
	with flexible dimorder (major column-order, major row-order and 
	generalizations for arrays). There is also a ffdf class not unlike 
	data.frames and import/export filters for csv files.
	ff objects store raw data in binary flat files in native encoding,
	and complement this with metadata stored in R as physical and virtual
	attributes. ff objects have well-defined hybrid copying semantics, 
	which gives rise to certain performance improvements through 
	virtualization. ff objects can be stored and reopened across R 
	sessions. ff files can be shared by multiple ff R objects 
	(using different data en/de-coding schemes) in the same process 
	or from multiple R processes to exploit parallelism. A wide choice of 
	finalizer options allows to work with 'permanent' files as well as 
	creating/removing 'temporary' ff files completely transparent to the 
	user. On certain OS/Filesystem combinations, creating the ff files
	works without notable delay thanks to using sparse file allocation.
	Several access optimization techniques such as Hybrid Index 
	Preprocessing and Virtualization are implemented to achieve good 
	performance even with large datasets, for example virtual matrix 
	transpose without touching a single byte on disk. Further, to reduce 
	disk I/O, 'logicals' and non-standard data types get stored native and 
	compact on binary flat files i.e. logicals take up exactly 2 bits to 
	represent TRUE, FALSE and NA. 
	Beyond basic access functions, the ff package also provides 
	compatibility functions that facilitate writing code for ff and ram 
	objects and support for batch processing on ff objects (e.g. as.ram, 
	as.ff, ffapply). ff interfaces closely with functionality from package 
	'bit': chunked looping, fast bit operations and coercions between 
	different objects that can store subscript information ('bit', 
	'bitwhich', ff 'boolean', ri range index, hi hybrid index). This allows
	to work interactively with selections of large datasets and quickly 
	modify selection criteria. 
	Further high-performance enhancements can be made available upon request. 
License: GPL-2 | GPL-3 | file LICENSE
LazyLoad: yes
ByteCompile: yes
Encoding: UTF-8
URL: https://github.com/truecluster/ff
NeedsCompilation: yes
Packaged: 2020-10-13 17:12:18 UTC; jo
Repository: CRAN
Date/Publication: 2020-10-13 18:20:10 UTC

## r-cran-ff 4.0.4+ds

=== debian/changelog ===
r-cran-ff (4.0.4+ds-1) unstable; urgency=medium

  * Initial release (closes: #975252)

 -- Steffen Moeller <moeller@debian.org>  Thu, 19 Nov 2020 17:50:55 +0100

=== debian/control ===
Source: r-cran-ff
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-bit (>= 4.0.0)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ff
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ff.git
Homepage: https://cran.r-project.org/package=ff
Rules-Requires-Root: no

Package: r-cran-ff
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Memory-Efficient Fast-Access Storage of Large Data
 The ff package provides data structures that are stored on
 disk but behave (almost) as if they were in RAM by transparently
 mapping only a section (pagesize) in main memory - the effective
 virtual memory consumption per ff object. ff supports R's standard
 atomic data types 'double', 'logical', 'raw' and 'integer' and
 non-standard atomic types boolean (1 bit), quad (2 bit unsigned),
 nibble (4 bit unsigned), byte (1 byte signed with NAs), ubyte (1 byte
 unsigned), short (2 byte signed with NAs), ushort (2 byte unsigned),
 single (4 byte float with NAs). For example 'quad' allows efficient
 storage of genomic data as an 'A','T','G','C' factor. The unsigned
 types support 'circular' arithmetic. There is also support for
 close-to-atomic types 'factor', 'ordered', 'POSIXct', 'Date' and
 custom close-to-atomic types.
 .
 ff not only has native C-support for vectors, matrices and arrays
 with flexible dimorder (major column-order, major row-order and
 generalizations for arrays). There is also a ffdf class not unlike
 data.frames and import/export filters for csv files.
 ff objects store raw data in binary flat files in native encoding,
 and complement this with metadata stored in R as physical and virtual
 attributes. ff objects have well-defined hybrid copying semantics,
 which gives rise to certain performance improvements through
 virtualization. ff objects can be stored and reopened across R
 sessions. ff files can be shared by multiple ff R objects
 (using different data en/de-coding schemes) in the same process
 or from multiple R processes to exploit parallelism. A wide choice of
 finalizer options allows one to work with 'permanent' files as well as
 creating/removing 'temporary' ff files completely transparent to the
 user. On certain OS/Filesystem combinations, creating the ff files
 works without notable delay thanks to using sparse file allocation.
 Several access optimization techniques such as Hybrid Index
 Preprocessing and Virtualization are implemented to achieve good
 performance even with large datasets, for example virtual matrix
 transpose without touching a single byte on disk. Further, to reduce
 disk I/O, 'logicals' and non-standard data types get stored native and
 compact on binary flat files i.e. logicals take up exactly 2 bits to
 represent TRUE, FALSE and NA.
 .
 Beyond basic access functions, the ff package also provides
 compatibility functions that facilitate writing code for ff and ram
 objects and support for batch processing on ff objects (e.g. as.ram,
 as.ff, ffapply). ff interfaces closely with functionality from package
 'bit': chunked looping, fast bit operations and coercions between
 different objects that can store subscript information ('bit',
 'bitwhich', ff 'boolean', ri range index, hi hybrid index). This allows
 to work interactively with selections of large datasets and quickly
 modify selection criteria.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-haven
Restrictions: allow-stderr

## r-cran-ff 4.0.5%2Bds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ff
-Version: 4.0.4
-Date: 2020-10-13
+Version: 4.0.5
+Date: 2021-10-29
 Title: Memory-Efficient Storage of Large Data on Disk and Fast Access
         Functions
 Author: Daniel Adler [aut],
@@ -64,6 +64,6 @@
 Encoding: UTF-8
 URL: https://github.com/truecluster/ff
 NeedsCompilation: yes
-Packaged: 2020-10-13 17:12:18 UTC; jo
+Packaged: 2021-10-29 09:22:08 UTC; jo
 Repository: CRAN
-Date/Publication: 2020-10-13 18:20:10 UTC
+Date/Publication: 2021-10-29 14:10:05 UTC

## r-cran-ff 4.0.5+ds

=== debian/changelog ===
r-cran-ff (4.0.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.0.5+ds

 -- Nilesh Patra <nilesh@debian.org>  Mon, 01 Nov 2021 21:09:39 +0530

r-cran-ff (4.0.4+ds-2) unstable; urgency=medium

  * Team upload
  * Allow building on all architectures
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Oct 2021 10:22:13 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-bit (>= 4.0.0)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ff
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ff.git
 Homepage: https://cran.r-project.org/package=ff

## r-cran-ff 4.0.7+ds

=== debian/changelog ===
r-cran-ff (4.0.7+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.0.7+ds
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:00:11 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-bit (>= 4.0.0)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ff
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ff.git
 Homepage: https://cran.r-project.org/package=ff

## r-cran-ff 4.0.9+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ff
-Version: 4.0.5
-Date: 2021-10-29
+Version: 4.0.9
+Date: 2023-01-25
 Title: Memory-Efficient Storage of Large Data on Disk and Fast Access
         Functions
 Author: Daniel Adler [aut],
@@ -64,6 +64,6 @@
 Encoding: UTF-8
 URL: https://github.com/truecluster/ff
 NeedsCompilation: yes
-Packaged: 2021-10-29 09:22:08 UTC; jo
+Packaged: 2023-01-25 18:55:50 UTC; jo
 Repository: CRAN
-Date/Publication: 2021-10-29 14:10:05 UTC
+Date/Publication: 2023-01-25 19:30:02 UTC

=== debian/changelog ===
r-cran-ff (4.0.9+ds-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.0.9+ds
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 Jan 2023 18:58:34 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-bit (>= 4.0.0)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ff
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ff.git
 Homepage: https://cran.r-project.org/package=ff

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.log config.status src/ac_config.h

## r-cran-ff 4.0.12+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ff
-Version: 4.0.9
-Date: 2023-01-25
+Version: 4.0.12
+Date: 2024-01-10
 Title: Memory-Efficient Storage of Large Data on Disk and Fast Access
         Functions
 Author: Daniel Adler [aut],
@@ -64,6 +64,6 @@
 Encoding: UTF-8
 URL: https://github.com/truecluster/ff
 NeedsCompilation: yes
-Packaged: 2023-01-25 18:55:50 UTC; jo
+Packaged: 2024-01-10 19:06:47 UTC; jo
 Repository: CRAN
-Date/Publication: 2023-01-25 19:30:02 UTC
+Date/Publication: 2024-01-12 15:10:03 UTC

=== debian/changelog ===
r-cran-ff (4.0.12+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 14:46:10 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-bit (>= 4.0.0)
+               r-cran-bit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ff
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ff.git

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 0.11.0)
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,compression=xz,dversionmangle=auto" https://cloud.r-project.org/src/contrib/ff_([-\d.]*)\.tar\.gz

## r-cran-ff 4.5.0+ds

=== debian/changelog ===
r-cran-ff (4.5.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 24 Sep 2024 09:46:39 +0900

## r-cran-ff 4.5.2+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,17 +1,36 @@
 Package: ff
-Version: 4.0.12
-Date: 2024-01-10
+Version: 4.5.2
+Date: 2025-01-12
 Title: Memory-Efficient Storage of Large Data on Disk and Fast Access
         Functions
+Authors@R: c(person(given = "Daniel",
+                      family = "Adler",
+                      role = "aut"),
+               person(given = "Christian",
+                      family = "Gläser",
+                      role = "ctb"),
+               person(given = "Oleg",
+                      family = "Nenadic",
+                      role = "ctb"),
+               person(given = "Jens",
+                      family = "Oehlschlägel",
+                      role = c("aut", "cre"),
+                      email = "Jens.Oehlschlaegel@truecluster.com"),
+               person(given = "Martijn",
+                      family = "Schuemie",
+                      role = "ctb"),
+               person(given = "Walter",
+                      family = "Zucchini",
+                      role = "ctb"))
 Author: Daniel Adler [aut],
-	Christian Gläser [aut],
-	Oleg Nenadic  [aut], 
-	Jens Oehlschlägel [aut, cre],
-	Martijn Schuemie [aut],
-	Walter Zucchini  [aut]
+  Christian Gläser [ctb],
+  Oleg Nenadic [ctb],
+  Jens Oehlschlägel [aut, cre],
+  Martijn Schuemie [ctb],
+  Walter Zucchini [ctb]
 Maintainer: Jens Oehlschlägel <Jens.Oehlschlaegel@truecluster.com>
-Depends: R (>= 2.10.1), bit (>= 4.0.0), utils
-Suggests: biglm, testthat (>= 0.11.0)
+Depends: R (>= 3.4.0), bit (>= 4.0.0), utils
+Suggests: biglm, testthat (>= 0.11.0), markdown
 Description: The ff package provides data structures that are stored on
 	disk but behave (almost) as if they were in RAM by transparently 
 	mapping only a section (pagesize) in main memory - the effective 
@@ -61,9 +80,9 @@
 License: GPL-2 | GPL-3 | file LICENSE
 LazyLoad: yes
 ByteCompile: yes
+NeedsCompilation: yes
 Encoding: UTF-8
 URL: https://github.com/truecluster/ff
-NeedsCompilation: yes
-Packaged: 2024-01-10 19:06:47 UTC; jo
+Packaged: 2025-01-12 22:08:49 UTC; jo
 Repository: CRAN
-Date/Publication: 2024-01-12 15:10:03 UTC
+Date/Publication: 2025-01-13 00:40:02 UTC

=== debian/changelog ===
r-cran-ff (4.5.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Jan 2025 08:35:30 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-bit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ff
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ff.git
 Homepage: https://cran.r-project.org/package=ff

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 0.11.0),
        r-cran-markdown
Restrictions: allow-stderr
